summaryrefslogtreecommitdiff
path: root/dev-python/diskcache/diskcache-5.0.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-27 12:38:37 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-27 12:38:37 +0000
commit56ca22f527eef7c934baa160fe95a80734f1869c (patch)
tree9ed3b5fd91747a3758dc9c2e9589a2c4be0fa65d /dev-python/diskcache/diskcache-5.0.2.ebuild
parent6f5e8f25c40bc09041c2ec04299189253d5a7b7f (diff)
downloadbaldeagleos-repo-56ca22f527eef7c934baa160fe95a80734f1869c.tar.gz
baldeagleos-repo-56ca22f527eef7c934baa160fe95a80734f1869c.tar.xz
baldeagleos-repo-56ca22f527eef7c934baa160fe95a80734f1869c.zip
Updating liguros repo
Diffstat (limited to 'dev-python/diskcache/diskcache-5.0.2.ebuild')
-rw-r--r--dev-python/diskcache/diskcache-5.0.2.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/diskcache/diskcache-5.0.2.ebuild b/dev-python/diskcache/diskcache-5.0.2.ebuild
new file mode 100644
index 000000000000..a0145c899da5
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="https://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist
+ sed -i -e '/-n auto/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}